-- TICKER_500
function(e)
	local timeToKick = aura_env.KickTime - time()
	if timeToKick > 0 and timeToKick < 10 * 60 then
		WeakAuras.ScanEvents("PLAY_SOUND", "Interface\\Sounds\\quack.ogg")
		-- SendChatMessage("QUACK", "WHISPER", nil, UnitName("player"))
	end

	if not Today then Today = date("%Y-%m-%d") end
	WeakAurasSaved = WeakAurasSaved or {}
	WeakAurasSaved.Cyka = WeakAurasSaved.Cyka or {}
	WeakAurasSaved.Cyka.LoginInfo = WeakAurasSaved.Cyka.LoginInfo or {}
	WeakAurasSaved.Cyka.LoginInfo[Today] = WeakAurasSaved.Cyka.LoginInfo[Today] or {}
	WeakAurasSaved.Cyka.LoginInfo[Today][UnitName("player")] = WeakAurasSaved.Cyka.LoginInfo[Today][UnitName("player")] or {}
	WeakAurasSaved.Cyka.LoginInfo[Today][UnitName("player")].claimed = WeakAurasSaved.Cyka.LoginInfo[Today][UnitName("player")].claimed or 0
	WeakAurasSaved.Cyka.LoginInfo[Today][UnitName("player")].onlineTimeInMinutes = WeakAurasSaved.Cyka.LoginInfo[Today][UnitName("player")].onlineTimeInMinutes or 0


	local rewardClaimed = WeakAurasSaved.Cyka.LoginInfo[Today][UnitName("player")].claimed
	local onlineTime = WeakAurasSaved.Cyka.LoginInfo[Today][UnitName("player")].onlineTimeInMinutes
	if rewardClaimed == 0 and onlineTime >= 120 then
		WeakAuras.ScanEvents("PLAY_SOUND", "Interface\\Sounds\\quack.ogg")
	end

	return aura_env.KickTime > 0
end